import { Room, Thread, MatrixEvent, MatrixClient } from "matrix-js-sdk/src/matrix";
/**
 * Returns true if this event arriving in a room should affect the room's
 * count of unread messages
 *
 * @param client The Matrix Client instance of the logged-in user
 * @param {Object} ev The event
 * @returns {boolean} True if the given event should affect the unread message count
 */
export declare function eventTriggersUnreadCount(client: MatrixClient, ev: MatrixEvent): boolean;
export declare function doesRoomHaveUnreadMessages(room: Room, includeThreads: boolean): boolean;
/**
 * Returns true if this room has unread threads.
 * @param room The room to check
 * @returns {boolean} True if the given room has unread threads
 */
export declare function doesRoomHaveUnreadThreads(room: Room): boolean;
export declare function doesRoomOrThreadHaveUnreadMessages(roomOrThread: Room | Thread): boolean;
