import React, { ReactNode } from "react";
import ResizeNotifier from "../../utils/ResizeNotifier";
interface IProps {
    resizeNotifier: ResizeNotifier;
    collapsedRhs?: boolean;
    panel?: JSX.Element;
    children: ReactNode;
    /**
     * A unique identifier for this panel split.
     *
     * This is appended to the key used to store the panel size in localStorage, allowing the widths of different
     * panels to be stored.
     */
    sizeKey?: string;
    /**
     * The size to use for the panel component if one isn't persisted in storage. Defaults to 350.
     */
    defaultSize: number;
}
export default class MainSplit extends React.Component<IProps> {
    static defaultProps: {
        defaultSize: number;
    };
    private onResizeStart;
    private onResize;
    private get sizeSettingStorageKey();
    private onResizeStop;
    private loadSidePanelSize;
    render(): React.ReactNode;
}
export {};
