import { ComponentProps, JSX, PropsWithChildren } from "react";
import { ReleaseAnnouncement as ReleaseAnnouncementCompound } from "@vector-im/compound-web";
import { Feature } from "../../stores/ReleaseAnnouncementStore";
interface ReleaseAnnouncementProps extends Omit<ComponentProps<typeof ReleaseAnnouncementCompound>, "open" | "onClick"> {
    feature: Feature;
}
/**
 * Display a release announcement component around the children
 * Wrapper gluing the release announcement compound and the ReleaseAnnouncementStore
 * @param feature - the feature to announce, should be listed in {@link Feature}
 * @param children
 * @param props
 * @constructor
 */
export declare function ReleaseAnnouncement({ feature, children, ...props }: PropsWithChildren<ReleaseAnnouncementProps>): JSX.Element;
export {};
