import React from "react";
import { MatrixClient } from "matrix-js-sdk/src/matrix";
import { ButtonEvent } from "../../views/elements/AccessibleButton";
interface Props {
    /** The matrix client which is logging in */
    matrixClient: MatrixClient;
    /**
     * A callback function. Will be called if the user clicks the "logout" button on the splash screen.
     *
     * @param event - The click event
     */
    onLogoutClick: (event: ButtonEvent) => void;
    /**
     * Error that caused `/sync` to fail. If set, an error message will be shown on the splash screen.
     */
    syncError: Error | null;
}
/**
 * The view that is displayed after we have logged in, before the first /sync is completed.
 */
export declare function LoginSplashView(props: Props): React.JSX.Element;
export {};
