import React, { ReactNode } from "react";
import { Playback, PlaybackState } from "../../../audio/Playback";
import { ButtonProps } from "../elements/AccessibleButton";
type Props = Omit<ButtonProps<"div">, "title" | "onClick" | "disabled" | "element" | "ref"> & {
    playback: Playback;
    playbackPhase: PlaybackState;
};
/**
 * Displays a play/pause button (activating the play/pause function of the recorder)
 * to be displayed in reference to a recording.
 */
export default class PlayPauseButton extends React.PureComponent<Props> {
    constructor(props: Props);
    private onClick;
    toggleState(): Promise<void>;
    render(): ReactNode;
}
export {};
