import React from "react";
import { E2EState } from "./E2EIcon";
export declare enum PowerStatus {
    Admin = "admin",
    Moderator = "moderator"
}
export type PresenceState = "offline" | "online" | "unavailable" | "io.element.unreachable";
interface IProps {
    name?: string;
    nameJSX?: JSX.Element;
    title?: string;
    avatarJsx?: JSX.Element;
    className?: string;
    presenceState: PresenceState;
    presenceLastActiveAgo: number;
    presenceLastTs: number;
    presenceCurrentlyActive?: boolean;
    showInviteButton: boolean;
    onClick(): void;
    showPresence: boolean;
    subtextLabel?: string;
    e2eStatus?: E2EState;
    powerStatus?: PowerStatus;
}
interface IState {
    hover: boolean;
}
export default class EntityTile extends React.PureComponent<IProps, IState> {
    static defaultProps: {
        onClick: () => void;
        presenceState: string;
        presenceLastActiveAgo: number;
        presenceLastTs: number;
        showInviteButton: boolean;
        showPresence: boolean;
    };
    constructor(props: IProps);
    /**
     * Creates the PresenceLabel component if needed
     * @returns The PresenceLabel component if we need to render it, undefined otherwise
     */
    private getPresenceLabel;
    render(): React.ReactNode;
}
export {};
