import React, { HTMLAttributes } from "react";
export interface SettingsTabProps extends Omit<HTMLAttributes<HTMLDivElement>, "className"> {
    children?: React.ReactNode;
}
/**
 * Container for a tab of settings panel content
 * Should contain one or more SettingsSection
 * Settings width, padding and spacing between sections
 * Eg:
 * ```
 * <SettingsTab>
 *      <SettingsSection heading="General">
 *           <SettingsSubsection heading="Profile">
 *              // profile settings form
 *          <SettingsSubsection>
 *          <SettingsSubsection heading="Account">
 *              // account settings
 *          <SettingsSubsection>
 *      </SettingsSection>
 * </SettingsTab>
 * ```
 */
declare const SettingsTab: React.FC<SettingsTabProps>;
export default SettingsTab;
