import React, { ComponentProps } from "react";
import { IconButton } from "@vector-im/compound-web";
import { NotificationLevel } from "../../../../stores/notifications/NotificationLevel";
interface ThreadsActivityCentreButtonProps extends ComponentProps<typeof IconButton> {
    /**
     * Whether to disable the tooltip.
     */
    disableTooltip?: boolean;
    /**
     * Display the `Threads` label next to the icon.
     */
    displayLabel?: boolean;
    /**
     * The notification level of the threads.
     */
    notificationLevel: NotificationLevel;
}
/**
 * A button to open the thread activity centre.
 */
export declare const ThreadsActivityCentreButton: (props: ThreadsActivityCentreButtonProps & React.RefAttributes<HTMLButtonElement>) => React.ReactElement | null;
export {};
