import { Room } from "matrix-js-sdk/src/matrix";
import { NotificationLevel } from "../../../../stores/notifications/NotificationLevel";
type Result = {
    greatestNotificationLevel: NotificationLevel;
    rooms: Array<{
        room: Room;
        notificationLevel: NotificationLevel;
    }>;
};
/**
 * Return the greatest notification level of all thread, the list of rooms with unread threads, and their notification level.
 * The result is computed when the client syncs, or when forceComputation is true
 * @param forceComputation
 * @returns {Result}
 */
export declare function useUnreadThreadRooms(forceComputation: boolean): Result;
export {};
