import { EncryptedFile, MediaEventContent } from "matrix-js-sdk/src/types";
export interface IPreparedMedia extends IMediaObject {
    thumbnail?: IMediaObject;
}
export interface IMediaObject {
    mxc: string;
    file?: EncryptedFile;
}
/**
 * Parses an event content body into a prepared media object. This prepared media object
 * can be used with other functions to manipulate the media.
 * @param {MediaEventContent} content Unredacted media event content. See interface.
 * @returns {IPreparedMedia} A prepared media object.
 * @throws Throws if the given content cannot be packaged into a prepared media object.
 */
export declare function prepEventContentAsMedia(content: Partial<MediaEventContent>): IPreparedMedia;
