import { Room } from "matrix-js-sdk/src/matrix";
import React from "react";
export declare enum PlatformCallType {
    ElementCall = 0,
    JitsiCall = 1,
    LegacyCall = 2
}
export declare const getPlatformCallTypeLabel: (platformCallType: PlatformCallType) => string;
/**
 * Utility hook for resolving state and click handlers for Voice & Video call buttons in the room header
 * @param room the room to track
 * @returns the call button attributes for the given room
 */
export declare const useRoomCall: (room: Room) => {
    voiceCallDisabledReason: string | null;
    voiceCallClick(evt: React.MouseEvent | undefined, selectedType: PlatformCallType): void;
    videoCallDisabledReason: string | null;
    videoCallClick(evt: React.MouseEvent | undefined, selectedType: PlatformCallType): void;
    toggleCallMaximized: () => void;
    isViewingCall: boolean;
    isConnectedToCall: boolean;
    hasActiveCallSession: boolean;
    callOptions: PlatformCallType[];
    showVideoCallButton: boolean;
    showVoiceCallButton: boolean;
};
