import { MatrixEvent, Room, RoomMember } from "matrix-js-sdk/src/matrix";
import { PillType } from "../components/views/elements/Pill";
import { PermalinkParts } from "../utils/permalinks/PermalinkConstructor";
/**
 * Hook to get the permalink member
 *
 * @param type - Permalink type
 * @param parseResult - Permalink parse result
 * @param targetRoom - Permalink target room {@link ./usePermalinkTargetRoom.ts}
 * @param event - Permalink event
 * @returns The permalink member:
 *          - The room member for a user mention
 *          - The sender for a permalink to an event in the same room
 *          - Null in other cases or the user cannot be loaded.
 */
export declare const usePermalinkMember: (type: PillType | null, parseResult: PermalinkParts | null, targetRoom: Room | null, event: MatrixEvent | null) => RoomMember | null;
