import { Room, MatrixEvent } from "matrix-js-sdk/src/matrix";
/**
 * Get the pinned event IDs from a room.
 * @param room
 */
export declare const usePinnedEvents: (room?: Room) => string[];
/**
 * Get the read pinned event IDs from a room.
 * @param room
 */
export declare const useReadPinnedEvents: (room?: Room) => Set<string>;
/**
 * Fetch the pinned events
 * @param room
 * @param pinnedEventIds
 */
export declare function useFetchedPinnedEvents(room: Room, pinnedEventIds: string[]): Array<MatrixEvent | null> | null;
/**
 * Fetch the pinned events and sort them by from the oldest to the newest
 * The order is determined by the event timestamp
 * @param room
 * @param pinnedEventIds
 */
export declare function useSortedFetchedPinnedEvents(room: Room, pinnedEventIds: string[]): Array<MatrixEvent | null>;
