import { Room, RoomMember } from "matrix-js-sdk/src/matrix";
import { Membership } from "matrix-js-sdk/src/types";
export declare const useRoomMembers: (room: Room, throttleWait?: number) => RoomMember[];
type RoomMemberCountOpts = {
    /**
     * Wait time between room member count update
     */
    throttleWait?: number;
};
/**
 * Returns a count of members in a given room
 * @param room the room to track.
 * @param opts The options.
 * @returns the room member count.
 */
export declare const useRoomMemberCount: (room: Room, { throttleWait }?: RoomMemberCountOpts) => number;
export declare const useMyRoomMembership: (room: Room) => Membership;
export {};
