import { SettingLevel } from "../settings/SettingLevel";
export declare const useSettingValue: <T>(settingName: string, roomId?: string | null, excludeDefault?: boolean) => T;
/**
 * Hook to fetch the value of a setting at a specific level and dynamically update when it changes
 * @see SettingsStore.getValueAt
 * @param level
 * @param settingName
 * @param roomId
 * @param explicit
 * @param excludeDefault
 */
export declare const useSettingValueAt: <T>(level: SettingLevel, settingName: string, roomId?: string | null, explicit?: boolean, excludeDefault?: boolean) => T;
export declare const useFeatureEnabled: (featureName: string, roomId?: string | null) => boolean;
