import { EncryptedFile, MediaEventInfo } from "matrix-js-sdk/src/types";
export declare class DownloadError extends Error {
    constructor(e: Error);
}
export declare class DecryptError extends Error {
    constructor(e: Error);
}
/**
 * Decrypt a file attached to a matrix event.
 * @param {EncryptedFile} file The encrypted file information taken from the matrix event.
 *   This passed to [link]{@link https://github.com/matrix-org/matrix-encrypt-attachment}
 *   as the encryption info object, so will also have the those keys in addition to
 *   the keys below.
 * @param {MediaEventInfo} info The info parameter taken from the matrix event.
 * @returns {Promise<Blob>} Resolves to a Blob of the file.
 */
export declare function decryptFile(file?: EncryptedFile, info?: MediaEventInfo): Promise<Blob>;
