import { OidcClientConfig } from "matrix-js-sdk/src/matrix";
export interface ValidatedServerConfig {
    hsUrl: string;
    hsName: string;
    hsNameIsDifferent: boolean;
    isUrl: string;
    isDefault: boolean;
    isNameResolvable: boolean;
    warning: string | Error;
    /**
     * Config related to delegated authentication
     * Included when delegated auth is configured and valid, otherwise undefined.
     * From issuer's .well-known/openid-configuration.
     * Used for OIDC native flow authentication.
     */
    delegatedAuthentication?: OidcClientConfig;
}
