import { MatrixClient } from "matrix-js-sdk/src/matrix";
/**
 * Check e2ee io.element.e2ee setting
 * Returns true when .well-known e2ee config force_disable is TRUE
 * When true all new rooms should be created with encryption disabled
 * Can be overriden by synapse option encryption_enabled_by_default_for_room_type ( :/ )
 * https://matrix-org.github.io/synapse/latest/usage/configuration/config_documentation.html#encryption_enabled_by_default_for_room_type
 *
 * @param client
 * @returns whether well-known config forces encryption to DISABLED
 */
export declare function shouldForceDisableEncryption(client: MatrixClient): boolean;
