import { MatrixClient } from "matrix-js-sdk/src/matrix";
/**
 * Check if one of our own devices is verified via cross signing
 *
 * @param client - reference to the MatrixClient
 * @param deviceId - ID of the device to be checked
 *
 * @returns `null` if the device is unknown or has not published encryption keys; otherwise a boolean
 *    indicating whether the device has been cross-signed by a cross-signing key we trust.
 */
export declare const isDeviceVerified: (client: MatrixClient, deviceId: string) => Promise<boolean | null>;
