import { OidcTokenRefresher, AccessTokens } from "matrix-js-sdk/src/matrix";
import { IdTokenClaims } from "oidc-client-ts";
/**
 * OidcTokenRefresher that implements token persistence.
 * Stores tokens in the same way as login flow in Lifecycle.
 */
export declare class TokenRefresher extends OidcTokenRefresher {
    private readonly userId;
    private readonly deviceId;
    constructor(issuer: string, clientId: string, redirectUri: string, deviceId: string, idTokenClaims: IdTokenClaims, userId: string);
    persistTokens({ accessToken, refreshToken }: AccessTokens): Promise<void>;
}
