import { SdkContextClass } from "../src/contexts/SDKContext";
import { PosthogAnalytics } from "../src/PosthogAnalytics";
import { SlidingSyncManager } from "../src/SlidingSyncManager";
import { RoomNotificationStateStore } from "../src/stores/notifications/RoomNotificationStateStore";
import RightPanelStore from "../src/stores/right-panel/RightPanelStore";
import { RoomViewStore } from "../src/stores/RoomViewStore";
import { SpaceStoreClass } from "../src/stores/spaces/SpaceStore";
import { WidgetLayoutStore } from "../src/stores/widgets/WidgetLayoutStore";
import { WidgetPermissionStore } from "../src/stores/widgets/WidgetPermissionStore";
import WidgetStore from "../src/stores/WidgetStore";
import { VoiceBroadcastPlaybacksStore, VoiceBroadcastPreRecordingStore, VoiceBroadcastRecordingsStore } from "../src/voice-broadcast";
/**
 * A class which provides the same API as SdkContextClass but adds additional unsafe setters which can
 * replace individual stores. This is useful for tests which need to mock out stores.
 */
export declare class TestSdkContext extends SdkContextClass {
    _RightPanelStore?: RightPanelStore;
    _RoomNotificationStateStore?: RoomNotificationStateStore;
    _RoomViewStore?: RoomViewStore;
    _WidgetPermissionStore?: WidgetPermissionStore;
    _WidgetLayoutStore?: WidgetLayoutStore;
    _WidgetStore?: WidgetStore;
    _PosthogAnalytics?: PosthogAnalytics;
    _SlidingSyncManager?: SlidingSyncManager;
    _SpaceStore?: SpaceStoreClass;
    _VoiceBroadcastRecordingsStore?: VoiceBroadcastRecordingsStore;
    _VoiceBroadcastPreRecordingStore?: VoiceBroadcastPreRecordingStore;
    _VoiceBroadcastPlaybacksStore?: VoiceBroadcastPlaybacksStore;
    constructor();
}
