import { OidcClientConfig } from "matrix-js-sdk/src/matrix";
import { ValidatedIssuerMetadata } from "matrix-js-sdk/src/oidc/validate";
/**
 * Makes a valid OidcClientConfig with minimum valid values
 * @param issuer used as the base for all other urls
 * @returns OidcClientConfig
 */
export declare const makeDelegatedAuthConfig: (issuer?: string) => OidcClientConfig;
/**
 * Useful for mocking <issuer>/.well-known/openid-configuration
 * @param issuer used as the base for all other urls
 * @returns ValidatedIssuerMetadata
 */
export declare const mockOpenIdConfiguration: (issuer?: string) => ValidatedIssuerMetadata;
